// EditDlg.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "OpenMenu.h"
#include "EditDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CEditDlg 


CEditDlg::CEditDlg(COpenMenuDlg* pOpenMenuDlg, CWnd* pParent /*=NULL*/)
	: CDialog(CEditDlg::IDD, pParent)
{
	m_pOpenMenuDlg = pOpenMenuDlg;
	//{{AFX_DATA_INIT(CEditDlg)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void CEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditDlg)
	DDX_Control(pDX, IDC_EDIT_NAME, m_edtName);
	DDX_Control(pDX, IDC_EDIT_PATH, m_edtPath);
	DDX_Control(pDX, IDC_EDIT_PARAM, m_edtParam);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditDlg, CDialog)
	//{{AFX_MSG_MAP(CEditDlg)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON_BROWSE, &CEditDlg::OnBrowse)
	ON_BN_CLICKED(IDC_BUTTON_PARAM, &CEditDlg::OnParam)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CEditDlg 

BOOL CEditDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Zustzliche Initialisierung hier einfgen
	m_edtName.SetWindowText(m_strName);
	m_edtPath.SetWindowText(m_strPath);
	m_edtParam.SetWindowText(m_strParam);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

void CEditDlg::OnOK() 
{
	// TODO: Zustzliche Prfung hier einfgen
	m_edtName.GetWindowText(m_strName);
	m_edtPath.GetWindowText(m_strPath);
	m_edtParam.GetWindowText(m_strParam);

	CDialog::OnOK();
}

void CEditDlg::OnCancel() 
{
	// TODO: Zustzlichen Bereinigungscode hier einfgen
	
	CDialog::OnCancel();
}

void CEditDlg::OnBrowse()
{
	CString strPath, strName, strTitle;

	if (m_pOpenMenuDlg->BrowseAppFile(strPath, strName, strTitle))
	{
		m_edtPath.SetWindowText(strPath);

		CString strName;
		m_edtName.GetWindowText(strName);
		if (strName.IsEmpty())
		{
			m_edtName.SetWindowText(strTitle);
		}
	}
}

void CEditDlg::OnParam()
{
	m_edtParam.ReplaceSel("\"%1\"", TRUE);
}